package com.bcxin.ars.model.task;

import java.io.Serializable;
import java.util.Date;

import com.bcxin.ars.model.SecurityCompanySchedule;

/**
 * 任务排班实体类
 * @author Ethan
 */
public class TaskSchedule implements Serializable {

	private static final long serialVersionUID = 8141306607868348571L;

	private Long id;
	
	/**
	 * 区域编号
	 */
	private Long nativeCode;
	
	/**
	 * 所属任务ID
	 */
	private Long taskId;
	
	/**
	 * 任务班次
	 */
	private SecurityCompanySchedule schedule;
	
	/**
	 * 分配时间
	 */
	private Date createTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getNativeCode() {
		return nativeCode;
	}

	public void setNativeCode(Long nativeCode) {
		this.nativeCode = nativeCode;
	}

	public Long getTaskId() {
		return taskId;
	}

	public void setTaskId(Long taskId) {
		this.taskId = taskId;
	}

	public SecurityCompanySchedule getSchedule() {
		return schedule;
	}

	public void setSchedule(SecurityCompanySchedule schedule) {
		this.schedule = schedule;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
}
